## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csSoundListener Class Reference

Inheritance diagram for csSoundListener:

[legend]
List of all members.

## Public Member Functions

virtual void | GetDirection (csVector3 &Front, csVector3 &Top)
| Get direction of listener (front and top 3d vectors).
virtual float | GetDistanceFactor ()
| Get a distance attenuator.
virtual float | GetDopplerFactor ()
| Get the Doppler attenuator.
virtual csSoundEnvironment | GetEnvironment ()
| Get type of environment where 'live' listener.
virtual float | GetHeadSize ()
| Get distance between the 2 'ears' of listener.
virtual const csVector3 & | GetPosition ()
| Get position of listener.
virtual float | GetRollOffFactor ()
| Get a RollOff factor.
virtual const csVector3 & | GetVelocity ()
| Get velocity of listener.
virtual void | SetDirection (const csVector3 &Front, const csVector3 &Top)
| Set direction of listener (front and top 3d vectors).
virtual void | SetDistanceFactor (float factor)
| Set a distance attenuator.
virtual void | SetDopplerFactor (float factor)
| Set the Doppler attenuator.
virtual void | SetEnvironment (csSoundEnvironment env)
| set type of environment where 'live' listener
virtual void | SetHeadSize (float size)
| Set distance between the 2 'ears' of listener.
virtual void | SetPosition (const csVector3 &pos)
| Set position of listener.
virtual void | SetRollOffFactor (float factor)
| Set a RollOff factor.
virtual void | SetVelocity (const csVector3 &v)
| Set velocity of listener.

## Protected Attributes

float | DistanceFactor
float | DopplerFactor
csSoundEnvironment | Environment
csVector3 | Front
float | HeadSize
csVector3 | Position
float | RollOffFactor
csVector3 | Top
csVector3 | Velocity

## Detailed Description

Definition at line 30 of file slstn.h.

## Member Function Documentation

virtual void csSoundListener::GetDirection | ( | csVector3 & | Front,
|  | csVector3 & | Top
| ) | `[virtual]`

| Get direction of listener (front and top 3d vectors). Implements iSoundListener.

virtual float csSoundListener::GetDistanceFactor | ( |  | ) | `[virtual]`

| Get a distance attenuator. Implements iSoundListener.

virtual float csSoundListener::GetDopplerFactor | ( |  | ) | `[virtual]`

| Get the Doppler attenuator. Implements iSoundListener.

virtual csSoundEnvironment csSoundListener::GetEnvironment | ( |  | ) | `[virtual]`

| Get type of environment where 'live' listener. Implements iSoundListener.

virtual float csSoundListener::GetHeadSize | ( |  | ) | `[virtual]`

| Get distance between the 2 'ears' of listener. Implements iSoundListener.

virtual const csVector3& csSoundListener::GetPosition | ( |  | ) | `[virtual]`

| Get position of listener. Implements iSoundListener.

virtual float csSoundListener::GetRollOffFactor | ( |  | ) | `[virtual]`

| Get a RollOff factor. Implements iSoundListener.

virtual const csVector3& csSoundListener::GetVelocity | ( |  | ) | `[virtual]`

| Get velocity of listener. Implements iSoundListener.

virtual void csSoundListener::SetDirection | ( | const csVector3 & | Front,
|  | const csVector3 & | Top
| ) | `[virtual]`

| Set direction of listener (front and top 3d vectors). Implements iSoundListener.

virtual void csSoundListener::SetDistanceFactor | ( | float | factor | ) | `[virtual]`

| Set a distance attenuator. Implements iSoundListener.

virtual void csSoundListener::SetDopplerFactor | ( | float | factor | ) | `[virtual]`

| Set the Doppler attenuator. Implements iSoundListener.

virtual void csSoundListener::SetEnvironment | ( | csSoundEnvironment | env | ) | `[virtual]`

| set type of environment where 'live' listener Implements iSoundListener.

virtual void csSoundListener::SetHeadSize | ( | float | size | ) | `[virtual]`

| Set distance between the 2 'ears' of listener. Implements iSoundListener.

virtual void csSoundListener::SetPosition | ( | const csVector3 & | pos | ) | `[virtual]`

| Set position of listener. Implements iSoundListener.

virtual void csSoundListener::SetRollOffFactor | ( | float | factor | ) | `[virtual]`

| Set a RollOff factor. Implements iSoundListener.

virtual void csSoundListener::SetVelocity | ( | const csVector3 & | v | ) | `[virtual]`

| Set velocity of listener. Implements iSoundListener.

The documentation for this class was generated from the following file:

- csplugincommon/soundrenderer/slstn.h